Bug 1413982 - Rebase virt-viewer to latest upstream realease
Summary: Rebase virt-viewer to latest upstream realease
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virt-viewer
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Eduardo Lima (Etrunko)
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 1402474
Blocks: 1337575 1347170 1414016 1431995
TreeView+ depends on / blocked
 
Reported: 2017-01-17 13:46 UTC by Eduardo Lima (Etrunko)
Modified: 2017-08-01 15:06 UTC (History)
11 users (show)

Fixed In Version: virt-viewer-5.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 15:06:41 UTC
Target Upstream Version:


Attachments (Terms of Use)
Comment folder sharing menus (3.26 KB, patch)
2017-02-27 12:52 UTC, Pavel Grunt
no flags Details | Diff
Remove folder sharing menus (4.45 KB, patch)
2017-03-10 19:00 UTC, Eduardo Lima (Etrunko)
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:1849 0 normal SHIPPED_LIVE virt-viewer bug fix and enhancement update 2017-08-01 17:49:46 UTC

Description Eduardo Lima (Etrunko) 2017-01-17 13:46:20 UTC
Description of problem:

virt-viewer in RHEL 7 is at version 2.0 and carries out 100+ including fixes and features making it a very different software than the original, while upstream is already at version 5.0 and already includes those patches.

There are other new features planned for RHEL 7.4, and if we choose not to rebase virt-viewer, we can easily go 130+ patches for the application, making the maintenance burden a bit too heavy.

As other components of the stack, including SPICE and Gtk+, are set up for rebase in RHEL 7.4, it would be a good chance to also rebase the application virt-viewer and update the library dependency requirements without any impact.

Additional info:
It is already possible to test the latest upstream release of virt-viewer in rhel7 thanks to SPICE nightly copr repo https://copr.fedorainfracloud.org/coprs/g/spice/nightly/

Comment 1 Pavel Grunt 2017-02-27 12:52:26 UTC
Created attachment 1258054 [details]
Comment folder sharing menus

Do not display folder sharing menu items, because it is not available in el7 client (requires spice-gtk to be built with the webdav support).

Comment 2 Eduardo Lima (Etrunko) 2017-03-10 19:00:08 UTC
Created attachment 1262043 [details]
Remove folder sharing menus

Comment 3 Eduardo Lima (Etrunko) 2017-03-10 19:01:14 UTC
I am thinking about removing those lines instead of commenting out, it looks cleaner to me. Please take a look at the patch attached.

Comment 4 Pavel Grunt 2017-03-13 14:03:39 UTC
(In reply to Eduardo Lima (Etrunko) from comment #3)
> I am thinking about removing those lines instead of commenting out, it looks
> cleaner to me. Please take a look at the patch attached.

up to you - fine with me (I haven't tested).

The only issue I can think of may be related to conflicts due to backporting some patches in future

Comment 8 Xiaodai Wang 2017-06-09 03:20:19 UTC
virt-viewer functions have been verified and no critical issues in rhel7.4.

So move the bug to VERIFIED.

Comment 9 errata-xmlrpc 2017-08-01 15:06:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:1849


Note You need to log in before you can comment on or make changes to this bug.